Bug 7724 - NT_STATUS_NO_SUCH_USER floding my /var/log/messagess
NT_STATUS_NO_SUCH_USER floding my /var/log/messagess
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.9
x86 Linux
: P3 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-11 05:12 UTC by Irek Piasecki
Modified: 2011-03-09 10:41 UTC (History)
1 user (show)

See Also:


Attachments
Log with debuglevel set to 10 (28.71 KB, application/binary)
2010-10-11 05:20 UTC, Irek Piasecki
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Irek Piasecki 2010-10-11 05:12:58 UTC
Hi.

I use samba 3.4.9 and windows 7 x86_64 machine. A added this machine to our samba PDC and i have floding my /var/log/messages by info: Oct 11 12:10:51 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'
Oct 11 12:10:52 serwergr smbd[6411]: [2010/10/11 12:10:52,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 12:10:52 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'
Oct 11 12:10:52 serwergr smbd[6411]: [2010/10/11 12:10:52,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 12:10:52 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'
Oct 11 12:10:52 serwergr smbd[6411]: [2010/10/11 12:10:52,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 12:10:52 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'
Oct 11 12:10:52 serwergr smbd[6411]: [2010/10/11 12:10:52,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 12:10:52 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'
Oct 11 12:10:52 serwergr smbd[6411]: [2010/10/11 12:10:52,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 12:10:52 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'

I switched back to smaba 3.4.9 from samba 3.5.5 where this floding was too.

I attached to this bug report a debug level 10 log file. I don't know why this flodding ocurs.
Comment 1 Irek Piasecki 2010-10-11 05:20:56 UTC
Created attachment 6007 [details]
Log with debuglevel set to 10
Comment 2 Volker Lendecke 2010-10-11 05:22:20 UTC
Can you try a "useradd nl-msek$" please?

Volker
Comment 3 Volker Lendecke 2010-10-11 05:23:51 UTC
Closing as invalid, this is not a bug. The log file says 

 User NL-MSEK$ in passdb, but getpwnam() fails!

which means that the user nl-msek$ (the machine account) is not in the nsswitch user database. This works as designed.

Volker
Comment 4 Irek Piasecki 2010-10-11 05:41:16 UTC
Hi Volker,

I have this user in /etc/passwd

nl-msek$:x:537:540::/dev/null:/bin/false

but don't have NL-MSEK$ in /etc/passwd

pdbedit -L -v NL-MSEK$ gives me:

Unix username:        NL-MSEK$
NT username:
Account Flags:        [WX         ]
User SID:             S-1-5-21-3930090357-3907222536-3290311957-1013
Primary Group SID:    S-1-5-21-3930090357-3907222536-3290311957-513
Full Name:            NL-MSEK$
Home Directory:       \\serwergr\nl-msek_
HomeDir Drive:        H:
Logon Script:         nl-msek_.bat
Profile Path:         \\serwergr\Profiles\nl-msek_
Domain:               OCZYSZCZALNIA
Account desc:
Workstations:
Munged dial:
Logon time:           0
Logoff time:          never
Kickoff time:         never
Password last set:    pon, 02 sie 2010 07:12:18 CEST
Password can change:  pon, 02 sie 2010 07:12:18 CEST
Password must change: never
Last bad password   : 0
Bad password count  : 0
Logon hours         : FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF

So i have nl-msek$ but not NL-MSEK$ in /etc/passwd ? This is a glitch ?


Comment 5 Irek Piasecki 2010-10-11 05:48:18 UTC
I have another machine: NL-JKNAPIK$ which is running WindowsXP SP3 and there aren't such floding mesagess:

In /etc/passwd

nl-jknapik$:x:532:535::/dev/null:/bin/false

an pdbedit -L -v NL-JKNAPIK$

Unix username:        NL-JKNAPIK$
NT username:
Account Flags:        [W          ]
User SID:             S-1-5-21-3930090357-3907222536-3290311957-1008
Primary Group SID:    S-1-5-21-3930090357-3907222536-3290311957-513
Full Name:            NL-JKNAPIK$
Home Directory:       \\serwergr\nl-jknapik_
HomeDir Drive:        H:
Logon Script:         nl-jknapik_.bat
Profile Path:         \\serwergr\Profiles\nl-jknapik_
Domain:               OCZYSZCZALNIA
Account desc:
Workstations:
Munged dial:
Logon time:           0
Logoff time:          never
Kickoff time:         never
Password last set:    pon, 13 wrz 2010 06:41:36 CEST
Password can change:  pon, 13 wrz 2010 06:41:36 CEST
Password must change: never
Last bad password   : 0
Bad password count  : 0
Logon hours         : FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF

So where lies the problem ?
Comment 6 Irek Piasecki 2010-10-11 06:12:38 UTC
And one thing:

In /var/log/messagess i have: 

Oct 11 13:09:11 serwergr smbd[6411]: [2010/10/11 13:09:11,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 13:09:11 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'
Oct 11 13:09:11 serwergr smbd[6411]: [2010/10/11 13:09:11,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 13:09:11 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'
Oct 11 13:09:11 serwergr smbd[6411]: [2010/10/11 13:09:11,  0] auth/auth_sam.c:444(check_sam_security)
Oct 11 13:09:11 serwergr smbd[6411]:   check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'

then i checked pid 6411:

smbstatus -b

6411      jadwigadrwiega  jadwigadrwiega  nl-jdrwiega  (192.168.4.4)

So why in log of machine 192.168.4.4 (NL-JDRWIEGA$) is so many errors about user NL-MSEK$, where NL-MSEK$ is 192.168.4.1 ?




Comment 7 Irek Piasecki 2010-10-11 13:54:37 UTC
Volker, could you please look closer at this situation ? 

I have samba network for years, last summer i added only 3 machine with windows 7 Professional 64-bit. User, that login to domain to this samba, can get all the files: can read, write, etc. Only straneg is this for me, that all seems to be ok with my configuration.

Machin with Win7 were add with instruction from samba wiki about joing windows 7 to samba PDC.

Machine account in question are in /etc/passwd - so i don't undestand, why samba flodding my /var/log/messages states, that there isn't such machine account.

I use samba 3.4.9 from sernet (switched back from sernet samba 3.5.5).

 

Comment 8 Volker Lendecke 2011-03-05 13:49:18 UTC
Can you please add those users ending in $ to /etc/passwd and retry? Please report your results here.

Thanks,

Volker
Comment 9 Irek Piasecki 2011-03-09 10:35:32 UTC
(In reply to comment #8)
> Can you please add those users ending in $ to /etc/passwd and retry? Please
> report your results here.
> 
> Thanks,
> 
> Volker

Hi Volker, i had upgrade from samba 3.5.6 to 3.5.8 and these errors went away. Now my /var/log/message is clear and smbd process not floding with this info: NT_STATUS_NO_SUCH_USER

So i assume - this version has fixed this nasty bug. I think, You can close this buginfo.